Skip to content

Api LiveID+ (2.1.0)

API for third parties integration with LiveID+ video identification platform.

You can subscribe to the LiveID+ service on the Namirial status page to receive updates on important releases.

Download OpenAPI description
Languages
Servers
Test
https://liveid.test.namirialtsp.com
Production
https://liveid.namirialtsp.com

app

Endpoints to initiate a call on LiveID+

Operations

authenticate

Endpoints to manage authentication and generate session tokens

Operations

service

General service endpoints for checking status, queue information, and available operators

Operations

v1

General conference management endpoints (Version 1)

DEPRECATION NOTICE:

For security reasons, the v1 API endpoints has been deprecated and will be shut down in the upcoming months, starting from TEST environment.
  • 15/10/2026 - TEST environment
  • 15/01/2027 - PRODUCTION environment
Please migrate to the v2 API endpoints as soon as possible. See the migration guide for details.

Operations

deleteAuditData
Deprecated

Request

Delete all the artifacts (audio, video, photos and shared documents) stored in LiveID+ relative to the served conference id. The textual audit data won't be deleted; to force deleting the audit data and all the data stored in the database is available the "eraseAll" parameters.

This API has been deprecated and will be shut down soon. Please use the v2 version. See the migration guide for details.
Security
ConferenceToken
Query
idConferencestring(uuid)required

Conference process id

eraseAllstring

If set to "1" will delete all the audit data and all the data stored in the database

Default "0"
Enum"0""1"
tokenstring(JWT)
Deprecated

Token provided on call closing or generated with genAPIToken (if not provided as header)

curl -i -X DELETE \
  'https://liveid.test.namirialtsp.com/api/v1/deleteAuditData?idConference=497f6eca-6276-4993-bfeb-53cbbbba6f08&eraseAll=0&token=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
servicestring

Service endpoint

successboolean

Success result

Default true
Response
application/json
{ "service": "string", "success": true }

checkStatus
Deprecated

Request

Check if the service is active

This API has been deprecated and will be shut down soon (see the deprecation roadmap).
Please use service/checkStatus. See the migration guide for details.
curl -i -X GET \
  https://liveid.test.namirialtsp.com/api/v1/checkStatus

Responses

Success

Bodyapplication/json
servicestring

Service endpoint

successboolean

Success result

Default true
activeboolean

Status of the service

messagestring

In case the service is down, a message explaining the reason

Response
application/json
{ "service": "/checkStatus", "success": true, "active": true }

v2

General conference management endpoints (Version 2)

Operations